﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace CellGrid_2008
{
    public partial class Form1 : Form
    {
        DataTable dataTable;
        public Form1()
        {
            InitializeComponent();

            //Header Text
            gridControl1.NumberedColHeaders = false;
            gridControl1[0, 1].Text = "EmployeeID";
            gridControl1[0, 2].Text = "EmployeeName";
            gridControl1[0, 3].Text = "DOB";
            gridControl1[0, 4].CellValue = "Designation";

            gridControl1.DefaultColWidth = 100;
            //Specifying row and column count
            gridControl1.RowCount = 15;
            gridControl1.ColCount = 4;

            //Data table 
            dataTable = new DataTable();
            dataTable.Columns.Add("Employee_ID");
            dataTable.Columns.Add("Employee_Name");
            dataTable.Columns.Add("DOB");
            dataTable.Columns.Add("Designation");
            DataSet values = new DataSet();
            values.Tables.Add(dataTable);
            for (int index = 0; index < 3; index++)
            {
                dataTable.Rows.Add(new string[] { "SF2421", "AAAA", "12/06/1995", "SSE" });
                dataTable.Rows.Add(new string[] { "SF2422", "SSSS", "29/11/1995", "SE" });
                dataTable.Rows.Add(new string[] { "SF2423", "DDDD", "10/01/1994", "SE" });
                dataTable.Rows.Add(new string[] { "SF2424", "FFFF", "07/03/1995", "SE" });
                dataTable.Rows.Add(new string[] { "SF2425", "GGGG", "25/05/1995", "SSE" });
            }

            //Populating values using PopulateValues method
            for (int row = 1; row <= this.gridControl1.RowCount; ++row)
            {
                for (int col = 1; col <= this.gridControl1.ColCount; ++col)
                {
                    this.gridControl1.PopulateValues(GridRangeInfo.Cells(1, 1, this.gridControl1.RowCount, this.gridControl1.ColCount), dataTable);
                }
            }
            //Event Triggering
            gridControl1.QueryCellInfo += GridControl1_QueryCellInfo;
            gridControl1.PrepareViewStyleInfo += GridControl1_PrepareViewStyleInfo;
        }
        //Event Customization
        private void GridControl1_PrepareViewStyleInfo(object sender, GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.Style.CellValue.ToString() == "AAAA")
            {
                e.Style.BackColor = Color.Yellow;
            }
        }

        //Event Customization
        private void GridControl1_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if(e.RowIndex==0)
            {
                if(e.ColIndex==1)
                {
                    e.Style.CellValue = "EmployeeID";
                    e.Handled = true;
                }
                if (e.ColIndex == 2)
                {
                    e.Style.Text = "EmployeeName";
                    e.Handled = true;
                }
                if (e.ColIndex == 3)
                {
                    e.Style.CellValue = "DOB";
                    e.Handled = true;
                }
                if (e.ColIndex == 4)
                {
                    e.Style.Text = "Designation";
                    e.Handled = true;
                }
            }
        }
    }
}